# Record Class CJ1CommandTypePackageUpgrade

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1CommandTypePackageUpgrade

All Implemented Interfaces:
  `CJ1CommandType`, `CJ1MessageType`, `CJ1ValueType`

@JsonClassDescription("Upgrade a type package.") public record CJ1CommandTypePackageUpgrade(CJ1TypePackageTypeRemovalBehavior typeRemovalBehavior, CJ1TypePackageVersionBehavior versionBehavior, String text) extends Record implements CJ1CommandType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1CommandTypePackageUpgrade(CJ1TypePackageTypeRemovalBehavior typeRemovalBehavior, CJ1TypePackageVersionBehavior versionBehavior, String text)`
  Creates an instance of a `CJ1CommandTypePackageUpgrade` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `text()`
  Returns the value of the `text` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CJ1TypePackageTypeRemovalBehavior`
  `typeRemovalBehavior()`
  Returns the value of the `typeRemovalBehavior` record component.
  `CJ1TypePackageVersionBehavior`
  `versionBehavior()`
  Returns the value of the `versionBehavior` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1CommandTypePackageUpgrade

    public CJ1CommandTypePackageUpgrade(@JsonPropertyDescription("The type removal behavior.") CJ1TypePackageTypeRemovalBehavior typeRemovalBehavior, @JsonPropertyDescription("The type version behavior.") CJ1TypePackageVersionBehavior versionBehavior, @JsonPropertyDescription("The type package text.") String text)
    Creates an instance of a `CJ1CommandTypePackageUpgrade` record class.
    Parameters:
      `typeRemovalBehavior` - the value for the `typeRemovalBehavior` record component
      `versionBehavior` - the value for the `versionBehavior` record component
      `text` - the value for the `text` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### typeRemovalBehavior

    @JsonPropertyDescription("The type removal behavior.") public CJ1TypePackageTypeRemovalBehavior typeRemovalBehavior()
    Returns the value of the `typeRemovalBehavior` record component.
    Returns:
      the value of the `typeRemovalBehavior` record component

  - ### versionBehavior

    @JsonPropertyDescription("The type version behavior.") public CJ1TypePackageVersionBehavior versionBehavior()
    Returns the value of the `versionBehavior` record component.
    Returns:
      the value of the `versionBehavior` record component

  - ### text

    @JsonPropertyDescription("The type package text.") public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component